Subject: RE: Keychain package not installed with setup
From: "Tony Arnold" <[email-masked]>
To: <[email-masked]>
Date: Fri, 24 May 2002 15:22:37 +0100

I guess you can forget these comments! I've just downloaded everything
again and keychain is now there and available. Seems it was a temporary
glitch!

Regards,
Tony.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Tony Arnold
> Sent: 24 May 2002 12:03
> To: [email-masked]
> Subject: Keychain package not installed with setup
> 
> 
> I've just installed cygwin ona laptop and was curious to note 
> that the package keychain was not there. It didn't show up in 
> the list of packages in setup and there was no directory for 
> it in the release directory (I did a download with setup).
> 
> After some detective work I noticed that there is an entry in 
> setup.ini for this package but it has a line [test] in the 
> middle of it. Here is the snippet:
> 
> @ keychain
> sdesc: "An OpenSSH key manager"
> ldesc: "Keychain is an OpenSSH key manager, typically run 
> from ~/.bash_profile. When run, it will make sure ssh-agent 
> is running; if not, it will start ssh-agent. It will redirect 
> ssh-agent's output to ~/.ssh-agent, so that cron jobs that 
> need to use ssh-agent keys can simply source this file and 
> make the necessary passwordless ssh connections. In addition, 
> when keychain runs, it will check with ssh-agent and make 
> sure that the ssh RSA/DSA keys that you specified on the 
> keychain command line have actually been added to ssh-agent. 
> If not, you are prompted for the appropriate passphrases so 
> that they can be added by keychain."
> category: Utils
> requires: openssh bash grep gawk sh-utils cygwin
> [test]
> version: 1.8-1
> install: release/keychain/keychain-1.8-1.tar.bz2 7743 
> 4eaac6fd38817a49cb1b16d0e4 ee58d5
> source: release/keychain/keychain-1.8-1-src.tar.bz2 11438 
> 7be3f66015f080b9fbb2a7 b1bf145421
> 
> Anyone know why the [test] line is there? Has keychain 
> effectively been removed from the distribution and if so is 
> there a good reason for this? I have it installed on my 
> desktop machine so it was there once and it works fine.
> 
> Regards,
> Tony.
> -- 
> Tony Arnold, Deputy to the Head of COS Division, Manchester 
> Computing, University of Manchester, Oxford Road, Manchester M13 9PL.
> T: +44 (0)161 275 6093, F: +44 (0)870 136 1004, M: +44 (0)773 330 0039
> E-mail: [email-masked], Home: http://www.man.ac.uk/Tony.Arnold
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/